#ifndef __PELEMENT_H__
#define __PELEMENT_H__

#include <iostream>

///@brief classe qui décrit un élément d'une PList
template <class T>
class PElement{
	public:
		PElement();
		PElement(PElement<T>* prev, PElement<T>* next);
		PElement(PElement<T>* prev, PElement<T>* next, const T & data);
		virtual ~PElement();
		
		///donnée du PElement
		T p_data;
		///PElement précédent
		PElement<T>* p_prev;
		///PElement suivant
		PElement<T>* p_next;
};


#include "PElement_impl.h"

#endif
